### Method

# Soup MessageMetrics get_request_body_size

#### Declaration [src]

    guint64
    soup_message_metrics_get_request_body_size (
      SoupMessageMetrics* metrics
    )

#### Description [src]

Get the request body size in bytes. This is the size of the original body given to the request before any encoding is applied.

This value is available right before `SoupMessage::wrote-body` signal is emitted, but you might get an intermediate value if called before.

#### Return value

Type: `guint64`

The request body size.